package me.zacharias.compadability.register;

import me.zacharias.compadability.modules.ClimateControlUnit;
import me.zacharias.compadability.modules.WaterPurifiedDrinkingUnit;
import mekanism.common.registration.impl.ModuleDeferredRegister;
import mekanism.common.registration.impl.ModuleRegistryObject;
import net.neoforged.bus.api.IEventBus;
import net.neoforged.fml.ModLoader;

import static me.zacharias.compadability.Compadability.MODID;

public class Modules {
    public static final ModuleDeferredRegister MODULES = new ModuleDeferredRegister(MODID);
    public static final ModuleRegistryObject<ClimateControlUnit> CLIMATE_CONTROL_UNIT =
            MODULES.registerInstanced("climate_control_unit", ClimateControlUnit::new,
                    () -> Items.CLIMATE_CONTROL_UNIT,
                    builder -> builder.maxStackSize(1).rendersHUD());
    public static final ModuleRegistryObject<WaterPurifiedDrinkingUnit> WATER_PURIFIED_DRINKING_UNIT = MODULES.registerInstanced("water_purified_drinking_unit", WaterPurifiedDrinkingUnit::new,
                () -> Items.WATER_PURIFIED_DRINKING_UNIT,
                builder -> builder.maxStackSize(1).rendersHUD());


    public static void register(IEventBus bus){
        MODULES.register(bus);
    }
}
